This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1251689 - Review Request: java-scrypt - Java implementation of scrypt
Review Request: java-scrypt - Java implementation of scrypt
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-08 14:18 EDT by Jonny Heggheim
Modified: 2016-01-28 09:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-28 09:15:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jonny Heggheim 2015-08-08 14:18:06 EDT
Spec URL: https://github.com/hegjon/java-scrypt-rpm/raw/master/java-scrypt.spec
SRPM URL: https://github.com/hegjon/java-scrypt-rpm/raw/master/java-scrypt-1.4.0-1.fc22.src.rpm
Description: A pure Java implementation of the scrypt key derivation function
Fedora Account System Username: jonny
Koji build link: http://koji.fedoraproject.org/koji/taskinfo?taskID=10649381

I need a sponsor. This is my fourth package, but my other packages have not been accepted yet. Alexander Kurtakov have started review of one of my package hid4java https://bugzilla.redhat.com/show_bug.cgi?id=1230949
Comment 1 Jonny Heggheim 2015-08-08 14:20:02 EDT
I disabled jni since the C library is bundled from another project.
Comment 2 Jonny Heggheim 2015-08-08 14:28:35 EDT
Upstream informed
Comment 3 Alexander Kurtakov 2015-08-17 10:25:43 EDT
Removing FE-NEEDSPONSOR as I sponsored Jonny.
Comment 4 Jonny Heggheim 2015-09-02 15:25:28 EDT
Asked upstream to clearify the license by including a header in the source files. No feedback after 25 days.

https://github.com/wg/scrypt/issues/34
Comment 5 Upstream Release Monitoring 2015-12-14 05:40:34 EST
jerboaa's scratch build of java-1.8.0-openjdk?#d28765c33d068af9ff432a92443b93beeef88a22 for git://pkgs.fedoraproject.org/java-1.8.0-openjdk?#d28765c33d068af9ff432a92443b93beeef88a22 and rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12181621
Comment 6 gil cattaneo 2016-01-10 08:38:10 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "Unknown or generated". 27 files have unknown
     license. Detailed output of licensecheck in /home/gil/1251689-java-
     scrypt/licensecheck.txt
 JNI library is not built
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in java-
     scrypt-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: java-scrypt-1.4.0-1.fc24.noarch.rpm
          java-scrypt-javadoc-1.4.0-1.fc24.noarch.rpm
          java-scrypt-1.4.0-1.fc24.src.rpm
java-scrypt.noarch: W: only-non-binary-in-usr-lib
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: File o directory non esistente
java-scrypt.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
java-scrypt-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

java-scrypt (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils



Provides
--------
java-scrypt-javadoc:
    java-scrypt-javadoc

java-scrypt:
    java-scrypt
    mvn(com.lambdaworks:scrypt)
    mvn(com.lambdaworks:scrypt:pom:)



Source checksums
----------------
https://github.com/wg/scrypt/archive/1.4.0.tar.gz :
  CHECKSUM(SHA256) this package     : 5f57508ee516009532b215a209ae0ae887e15a8ec05916a3a13f1b1dce348425
  CHECKSUM(SHA256) upstream package : 5f57508ee516009532b215a209ae0ae887e15a8ec05916a3a13f1b1dce348425


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1251689 --plugins Java -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 7 gil cattaneo 2016-01-10 08:42:25 EST
NON blocking issues:
you should use
%global commit0 0675236370458e819ee21e4427c5f7f3f9485d33
Source0:       https://github.com/wg/scrypt/archive/%{commit0}.tar.gz

https://fedoraproject.org/wiki/Packaging:SourceURL?rd=Packaging/SourceURL#Git_Hosting_Services

%doc README should be removed in javadoc sub package

Approved
Comment 8 Jonny Heggheim 2016-01-11 16:19:21 EST
Thanks for the review and the pointer. I have a question, since upstream have tagged the release, should I use the tag name or the commit hash?

The Fedora wiki sugest this in the Git Tags section:
> Source0:  https://github.com/OWNER/%{name}/archive/GIT-TAG.tar.gz#/%{name}-%{version}.tar.gz
Comment 9 Gwyn Ciesla 2016-01-27 08:20:07 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/java-scrypt

Note You need to log in before you can comment on or make changes to this bug.